package com.example.android.iap.data;

import android.support.annotation.NonNull;

import org.json.JSONObject;

public class QueryItem {
    private final Long mItemSeq;
    private final String mItemName;
    private final String mUsingStatus;

    public QueryItem(@NonNull JSONObject responseJson) {
        mItemSeq = responseJson.optLong("itemSeq");
        mItemName = responseJson.optString("itemName");
        mUsingStatus = responseJson.optString("usingStatus", null);
    }

    @Override
    public String toString() {
        return mItemName + "(" + mItemSeq + (mUsingStatus == null ? "" : ", " + mUsingStatus) + ")";
    }

    public Long getItemSeq() {
        return mItemSeq;
    }
}
